      SUBROUTINE UGINIT

      CALL GINIT

      OPEN(5,FILE='gcards.dat',STATUS='UNKNOWN')

c                                       Max. steps
      call ffkey('MXSP', MAXNST, 1,'INTEGER')

      CALL GFFGO

      CALL GZINIT

      CALL GDINIT

      CALL GPART

      CALL UGMATE

      CALL UGEOM

      CALL GPHYSI

      call UGHBOOK

      CALL GPRINT('MATE',0)
      CALL GPRINT('TMED',0)
      CALL GPRINT('VOLU',0)
      END
